export default class SpeechRecognizer extends events.EventEmitter {
    constructor(options?: {});
    _language: any;
    _subscriptionKey: any;
    _connection: any;
    close(): void;
    _obtainAccessToken(): Promise<any>;
    _ensureAccessToken(): Promise<any>;
    _accessToken: any;
    _accessTokenExpires: number | undefined;
    _doConnect(accessToken: any): Promise<any>;
    _connectionTelemetry: {
        Name: string;
        Id: string;
        Start: string;
    } | undefined;
    _ensureConnection(): Promise<any>;
    request(stream: any): SpeechRequest;
}
import * as events from "events";
declare class SpeechRequest extends Stream.Writable {
    constructor(stream: any);
    _stream: any;
    _requestId: string;
    _endDetected: boolean;
    _ended: boolean;
    _started: boolean;
    _sentRIFFHeader: boolean;
    _startTime: string;
    _piped: boolean;
    _bufferedMessages: any[];
    start(connection: any, connectionTelemetry: any): void;
    _connection: any;
    _endTimeout: NodeJS.Timeout | undefined;
    _listener: ((msg: any) => void) | undefined;
    _receivedMessages: {} | undefined;
    _connectionTelemetry: any;
    _finish(callback: any): void;
    _endTime: string | undefined;
    _handleMessage(msg: any): void;
    _sendTextMessage(path: any, contentType: any, body: any): void;
}
import * as Stream from "stream";
export {};
